<script setup lang="ts">
import { storeToRefs } from 'pinia'
import { useAccountStore } from '~~/store/account'
interface LabelProps {
  code: 0 | 1 | 2
}

const { code } = defineProps<LabelProps>()
const account = useAccountStore()
const { full } = storeToRefs(account)

const obj = computed(() => {
  const config = {
    0: {
      text: full.value ? '' : '返信待ち',
    },
    1: {
      text: full.value ? '口頭で回答済み' : '口頭で回答されました',
    },
    2: {
      text: full.value ? '返信済み' : '返信あり',
    },
  }
  return config[code]
})
</script>

<template>
  <div class="flex gap-2 items-center">
    <div v-if="code > 0" class="i-charm:tick text-xl" />
    <div v-if="obj.text" class="px-2 py-1 inline-block">
      {{ obj.text }}
    </div>
  </div>
</template>

<style scoped></style>
